/*

====================
  BRACKET HANDLERS
====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/BracketHandlers

Bracket handlers are the most common method in ZenScript codes to reference items, tags, categories, fluids, and other elements of the game.  As such, it's important to know how to format them.  Most of these are self-explanatory, but below are a list of common bracket handlers of various types as examples.

Most bracket handlers are formatted as <type:namespace:id>.  "Type" would refer to the kind of object referenced, such as a block or fluid or enity.  "Namespace" is the mod ID the object belongs to (for vanilla objects, this would simply be "minecraft", but objects from mods would have a namespace ID matching the mod it's sourced from, such as "create" or "farmersdelight").  "ID" is the specific object being referenced, such as the "dirt" in <item:minecraft:dirt>, which references dirt in its item form.


<block:minecraft:dirt>
  //  References dirt (block form)

<item:minecraft:dirt>
  //  References dirt (item form)

<fluid:minecraft:water>
  //  References water (fluid form)

<enchantment:minecraft:riptide>
  //  References the Riptide enchantment

<entitytype:minecraft:pig>
  //  References the pig entity type

<mobeffect:minecraft:haste>
  //  References an effect, such as from a potion or beacon

<profession:minecraft:armorer>
<villagertype:minecraft:armorer>
  //  References a villager profession

<soundevent:minecraft:ambient.cave>
  //  References a sound event


There is a common exceptions to this three-part format of bracket handlers that should be mentioned.  These are tags, which include four parts: <type:classification:namespace:id>.  "Type" will always be "tag" for these objects.  "Classification" refers to the type of tag used (such as block, item, fluid, entity, etc.), which are defined by Minecraft (see https://minecraft.wiki/w/Tag#Java_Edition_2).  "Namespace" and "ID" function similarly to other bracket handlers.

<tag:items:minecraft:wool>
 //  References an item tag with the ID "wool"

<tag:fluids:minecraft:lava>
  //  References a fluid tag with the ID "lava" 

<tag:blocks:minecraft:mineable/axe>
  //  References blocks that can be mined faster with an axe


*/