/*

*** These recipes require Create and CreateTweaker to be installed! ***

======================
  COMPACTING RECIPES
======================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/CompactingManager

<recipetype:create:compacting>.addRecipe("fluid_compacted",  //  Recipe name
  <constant:create:heat_condition:none>,  //  Heating: none, heated, superheated
  [<fluid:minecraft:water> * 200],  //  Fluid output * amount
  [<item:minecraft:glass> * 2],  //  Item input * count
  [<fluid:minecraft:water> * 250],  //  Fluid input * amount
  200  //  Duration in ticks (default 100)
);

<recipetype:create:compacting>.addRecipe("compacted",  //  Recipe name
  <constant:create:heat_condition:heated>,  //  Heating: none, heated, superheated
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  [<item:minecraft:glass> * 2],  //  Item input * count
  [<fluid:minecraft:water> * 250],  //  Fluid input * amount
  200  //  Duration in ticks (default 100)
);

<recipetype:create:compacting>.remove(<fluid:minecraft:water>);
  //  Remove recipes with output water

<recipetype:create:compacting>.removeAll();
  //  Remove all compacting recipes

CompactingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

CompactingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

CompactingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


====================
  CRUSHING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/CrushingManager

<recipetype:create:crushing>.addRecipe("crushed",  //  Recipe name
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  <item:minecraft:glass>,  //  Item input
  200  //  Duration in ticks (default 100)
);

CrushingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:crushing>.removeAll();
  //  Remove all crushing recipes

CrushingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

CrushingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

CrushingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


===================
  CUTTING RECIPES
===================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/CuttingManager

<recipetype:create:cutting>.addRecipe("glass_to_diamonds",  //  Recipe name
  <item:minecraft:diamond> % 50,  //  Item output % chance (percentage)
  <item:minecraft:glass>,  //  Item input
  200  //  Duration in ticks (default 100)
);

<recipetype:create:cutting>.addRecipe("multi-cutting",  //  Recipe name
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  <item:minecraft:glass>,  //  Item input
  200  //  Duration in ticks (default 100)
);

CuttingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:cutting>.removeAll();
  //  Remove all cutting recipes

CuttingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

CuttingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

CuttingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


================================
  DEPLOYER APPLICATION RECIPES
================================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/DeployerApplicationManager

<recipetype:create:deploying>.addRecipe("name",  //  Recipe name
  <item:minecraft:air>,  //  Base item input
  <item:minecraft:diamond>,  //  Held item (applied to base item)
  [
    <item:minecraft:dirt> % 50  //  Item output % chance (percentage)
  ],
  true  //  Keep held item: true, false
);

DeployerApplicationManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:deploying>.removeAll();
  //  Remove all deploying recipes

DeployerApplicationManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

DeployerApplicationManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

DeployerApplicationManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


====================
  DRAINING RECIPES
====================

*** This type of recipe uses item drains. ***

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/EmptyingManager

<recipetype:create:emptying>.addRecipe("emptier",  //  Recipe name
  <item:minecraft:diamond>,  //  Item output
  <fluid:minecraft:water> * 250,  //  Fluid output * amount
  <item:minecraft:dirt>,  //  Item input
  200  //  Duration in ticks (default 100)
);

<recipetype:create:emptying>.remove(<fluid:minecraft:water>);
  //  Remove recipes with fluid output water

EmptyingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with item output glass

<recipetype:create:emptying>.removeAll();
  //  Remove all emptying recipes

EmptyingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

EmptyingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

EmptyingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


====================
  HAUNTING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/HauntingManager

<recipetype:create:haunting>.addRecipe("2spooky4me",  //  Recipe name
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  <item:minecraft:dirt>, 200
);

HauntingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:haunting>.removeAll();
  //  Remove all haunting recipes

HauntingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

HauntingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

HauntingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


============================
  ITEM APPLICATION RECIPES
============================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/ItemApplicationManager

<recipetype:create:item_application>.addRecipe("name",  //  Recipe name
  [
    <item:minecraft:dirt> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:diamond>  //  Item output 2
  ],
  <item:minecraft:diamond_block>,  //  Base item input
  <item:minecraft:emerald>,  //  Held item (applied to base item)
  true  //  Keep held item: true, false
);

ItemApplicationManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:item_application>.removeAll();
  //  Remove all item_application recipes

ItemApplicationManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

ItemApplicationManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

ItemApplicationManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


===============================
  MECHANICAL CRAFTING RECIPES
===============================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/MechanicalCrafterManager

<recipetype:create:mechanical_crafting>.addRecipe("mechanized",  //  Recipe name
  <item:minecraft:diamond>,  //  Item output
  [
    [<item:minecraft:dirt>, <item:minecraft:air>, <item:minecraft:dirt>],  //  First row of inputs
    [<item:minecraft:air>, <item:minecraft:dirt>, <item:minecraft:air>]  //  Second row of inputs
  ]
);

MechanicalCrafterManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:mechanical_crafting>.removeAll();
  //  Remove all mechanical_crafting recipes

MechanicalCrafterManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

MechanicalCrafterManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

MechanicalCrafterManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


===================
  MILLING RECIPES
===================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/MillingManager

<recipetype:create:milling>.addRecipe("milled",  //  Recipe name
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  <item:minecraft:dirt>,  //  Item input
  200  //  Duration in ticks (default 100)
);

MillingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:milling>.removeAll();
  //  Remove all milling recipes

MillingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

MillingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

MillingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


==================
  MIXING RECIPES
==================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/MixingManager

<recipetype:create:mixing>.addRecipe("fluid_mixed",  //  Recipe name
  <constant:create:heat_condition:none>,  //  Heating: none, heated, superheated
  [<fluid:minecraft:water> * 200],  //  Fluid output * amount
  [<item:minecraft:glass> * 2],  //  Item input * count
  [<fluid:minecraft:water> * 250],  //  Fluid input * amount
  200  //  Duration in ticks (default 100)
);

<recipetype:create:mixing>.addRecipe("item_mixed",  //  Recipe name
  <constant:create:heat_condition:heated>,  //  Heating: none, heated, superheated
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  [<item:minecraft:glass> * 2],  //  Item input * count
  [<fluid:minecraft:water> * 250],  //  Fluid input * amount
  200  //  Duration in ticks (default 100)
);

MixingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:mixing>.remove(<fluid:minecraft:water>);
  //  Remove recipes with output water

<recipetype:create:mixing>.removeAll();
  //  Remove all mixing recipes

MixingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

MixingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

MixingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


====================
  PRESSING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/PressingManager

<recipetype:create:pressing>.addRecipe("pressed",  //  Recipe name
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  <item:minecraft:dirt>,  //  Item input
  200  //  Duration in ticks (default 100)
);

PressingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:pressing>.removeAll();
  //  Remove all pressing recipes

PressingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

PressingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

PressingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


===============================
  SANDPAPER POLISHING RECIPES
===============================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/SandPaperPolishingManager

<recipetype:create:sandpaper_polishing>.addRecipe("polished",  //  Recipe name
  <item:minecraft:diamond> % 50,  //  Item output % chance (percentage)
  <item:minecraft:dirt> * 5,  //  Item input * count
  200  //  Duration in ticks (default 100)
);

SandPaperPolishingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:sandpaper_polishing>.removeAll();
  //  Remove all sandpaper_polishing recipes

SandPaperPolishingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

SandPaperPolishingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

SandPaperPolishingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


==============================
  SEQUENCED ASSEMBLY RECIPES
==============================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/SequencedAssemblyManager

<recipetype:create:sequenced_assembly>.addRecipe(
  <recipetype:create:sequenced_assembly>.builder("seq_blast_brick")  //  Recipe name
    .transitionTo(<item:create:incomplete_large_cogwheel>)  //  Initial item output for Step 1
    .require(<item:create:andesite_alloy>)  //  Initial item input
    .loops(3)  //  Number of times process must be repeated for final output
    .addOutput(<item:create:large_cogwheel> * 6, 32)  //  Final output 1 * count, weight
    .addOutput(<item:create:andesite_alloy>, 2)  //  Final output 2, weight
    .addOutput(<item:minecraft:andesite>, 1)  //  Final output 3, weight
    .addStep<mods.createtweaker.DeployerApplicationRecipe>(
      (rb) => rb.require(<tag:items:minecraft:planks>)  //  Step 1: Deploy planks to input
    )
    .addStep<mods.createtweaker.DeployerApplicationRecipe>(
      (rb) => rb.require(<tag:items:minecraft:wooden_buttons>)  //  Step 2: Deploy wooden_button to input
    )
    .addStep<mods.createtweaker.CuttingRecipe>(
      (rb) => rb.duration(50)  //  Step 3: Cut input with mechanical saw (duration is 50 ticks)
    )
    .addStep<mods.createtweaker.FillingRecipe>(
      (rb) => rb.require(<fluid:minecraft:water> * 50)  //  Step 4: Spout 50 units of water on input
    )
);

***
NOTE: Weights are calculated based on the collective pool. In the above script, there are three outputs with respective weights of 32, 2, and 1, which adds up to a collective pool of 32.  So the above recipe has a 32/35 probability of outputting 6 large cogwheels, a 2/35 probability of outputting an andesite alloy, and a 1/32 probability of outputting an andesite.
***

SequencedAssemblyManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:sequenced_assembly>.removeAll();
  //  Remove all sequenced_assembly recipes

SequencedAssemblyManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

SequencedAssemblyManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

SequencedAssemblyManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


===================
  WASHING RECIPES
===================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/SplashingManager

<recipetype:create:splashing>.addRecipe("2spooky4me",  //  Recipe name
  [
    <item:minecraft:diamond> % 50,  //  Item output 1 % chance (percentage)
    <item:minecraft:apple>,  //  Item output 2
    (<item:minecraft:dirt> * 2) % 12  //  Item output 3 * count % chance (percentage)
  ],
  <item:minecraft:dirt>,  //  Item input
  200  //  Duration in ticks (default 100)
);

SplashingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:splashing>.removeAll();
  //  Remove all splashing recipes

SplashingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

SplashingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

SplashingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


====================
  SPOUTING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/mods/CreateTweaker/FillingManager

<recipetype:create:filling>.addRecipe("filling",  //  Recipe name
  <item:minecraft:diamond> % 50,  //  Item output % chance (percentage)
  <item:minecraft:dirt>,  //  Base item input
  <fluid:minecraft:water> * 250,  //  Fluid input (applied to base item) * amount
  200  //  Duration in ticks (default 100)
);

FillingManager.remove(<item:minecraft:glass>);
  //  Remove recipes with output glass

<recipetype:create:filling>.removeAll();
  //  Remove all filling recipes

FillingManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"

FillingManager.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

FillingManager.removeByModid("create");
  //  Remove all recipes with "create" mod ID


*/