/*

=================
  PREPROCESSORS
=================

https://docs.blamejared.com/1.20.1/en/zencode/Preprocessors/Preprocessors

"Preprocessors" are lines of code that run a specific check to see if a script should be loaded into the game.  The following examples can be inserted at the beginning of the desired ZenScript (.zs) file for the specified result:

#Loader tags
  //  Loads the script as a file containing tags
  ***
  NOTE: Tag files can ONLY be used for tags (not recipes, etc.)
  ***

#modLoaded crafttweaker create jei
  //  Loads the script file only when all mod IDs listed are present
  ***
  NOTE:  This example means the file would only load if
  CraftTweaker, Create, and JEI are all installed.
  ***


================
  TAGS MANAGER
================

https://docs.blamejared.com/1.20.1/en/vanilla/api/tag/manager/ITagManager

<tagmanager:items>.addId(
  <tag:items:minecraft:wool>,  //  Tag to be applied
  <resource:minecraft:diamond>  //  Item tag is applied to
);

<tag:items:minecraft:wool>.addId(<resource:minecraft:diamond>);
  //  Applies the minecraft:wool tag to diamond

<tag:items:minecraft:wool>.add(<tag:items:minecraft:glass>);
  //  Applies the minecraft:wool tag to all minecraft:glass items

<tagmanager:items>.clear(<tag:items:minecraft:wool>);
  //  Removes all items from minecraft:wool tag

<tag:items:minecraft:wool>.clear();
  //  Removes all items from minecraft:wool tag

<tagmanager:items>.removeId(
  <tag:items:minecraft:wool>,  //  Tag to be removed
  <resource:minecraft:diamond>  //  Item tag is removed from
);

<tag:items:minecraft:wool>.removeId(<resource:minecraft:diamond>);
  //  Removes minecraft:wool tag from diamond

<tag:items:minecraft:wool>.remove(<tag:items:minecraft:glass>);
  //  Removes minecraft:wool tag from all minecraft:glass items


*/