/*

=====================
  RECIPES (GENERIC)
=====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/GenericRecipesManager

recipes.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

recipes.removeAll();
  //  Remove all recipes of all types

recipes.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

recipes.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

GenericRecipesManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


====================
  BLASTING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/BlastFurnaceRecipeManager

blastFurnace.addRecipe("wool2diamond",  //  Recipe name
  <item:minecraft:diamond>,  //  Item output
  <tag:items:minecraft:wool>,  //  Item input
  1.0,  //  XP (as float)
  30  //  Cook time (seconds - must be at least 1)
);

blastFurnace.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

blastFurnace.removeAll();
  //  Remove all blastFurnace recipes

blastFurnace.removeRecipe(<item:minecraft:diamond>, <tag:items:minecraft:wool>);
  //  Remove recipes with wool diamond and output diamond

blastFurnace.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

BlastFurnaceRecipeManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

BlastFurnaceRecipeManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


====================
  CAMPFIRE RECIPES
====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/CampFireRecipeManager

campfire.addRecipe("wool2diamond",  //  Recipe name
  <item:minecraft:diamond>,  //  Item output
  <tag:items:minecraft:wool>,  //  Item input
  1.0,  //  XP (as float)
  30  //  Cook time (seconds - must be at least 1)
);

campfire.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

campfire.removeAll();
  //  Remove all campfire recipes

campfire.removeRecipe(<item:minecraft:diamond>, <tag:items:minecraft:wool>);
  //  Remove recipes with wool diamond and output diamond

campfire.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

CampFireRecipeManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

CampFireRecipeManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


====================
  CRAFTING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/CraftingTableRecipeManager

craftingTable.addShaped("name",  //  Name of shaped crafting recipe
  <item:minecraft:golden_apple>*2,  //  Outputs 2 golden_apple
  [
    [<item:minecraft:stick>,<item:minecraft:air>,<item:minecraft:stick>],  //  First row of inputs
    [<item:minecraft:air>,<item:minecraft:stick>,<item:minecraft:air>],  //  Second row of inputs
    [<item:minecraft:stick>,<item:minecraft:air>,<item:minecraft:stick>]  //  Third row of inputs
  ]);

craftingTable.addShapeless("andesite_from_slab_shapeless",  //  Name of shapeless crafting recipe
  <item:minecraft:andesite>*2,  //  Outputs 2 andesite
  [
    <item:minecraft:andesite_slab>,  //  First input item
    <item:minecraft:andesite_slab>  //  Second input item  (Each item must be listed individually)
  ]);

craftingTable.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

craftingTable.removeAll();
  //  Remove all craftingTable recipes

craftingTable.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

CraftingTableRecipeManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

CraftingTableRecipeManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


====================
  SMELTING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/FurnaceRecipeManager

furnace.addRecipe("wool2diamond",  //  Recipe name
  <item:minecraft:diamond>,  //  Item output
  <tag:items:minecraft:wool>,  //  Item input
  1.0,  //  XP (as float)
  30  //  Cook time (seconds - must be at least 1)
);

furnace.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

furnace.removeAll();
  //  Remove all furnace recipes

furnace.removeRecipe(<item:minecraft:diamond>, <tag:items:minecraft:wool>);
  //  Remove recipes with wool diamond and output diamond

furnace.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

FurnaceRecipeManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

FurnaceRecipeManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


====================
  SMITHING RECIPES
====================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/SmithingRecipeManager

SmithingRecipeManager.addTrimRecipe("name",  //  Recipe name
  <item:minecraft:netherite_helmet>,  //  Outputs netherite_helmet
  <item:minecraft:netherite_upgrade_smithing_template>,  //  Template input
  <item:minecraft:iron_helmet>,  //  Base item input
  <item:minecraft:redstone>  //  Addition input (added to the base item)
);

SmithingRecipeManager.addTransformRecipe("name",  //  Recipe name
  <item:minecraft:coast_armor_trim_smithing_template>,  //  Template input
  <item:minecraft:iron_helmet>,  //  Base item input
  <item:minecraft:redstone>  //  Addition input (added to the base item)
);

smithing.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

smithing.removeAll();
  //  Remove all smithing recipes

smithing.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

SmithingRecipeManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

SmithingRecipeManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


===================
  SMOKING RECIPES
===================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/SmokerRecipeManager

smoker.addRecipe("wool2diamond",  //  Recipe name
  <item:minecraft:diamond>,  //  Item output
  <tag:items:minecraft:wool>,  //  Item input
  1.0,  //  XP (as float)
  30  //  Cook time (seconds - must be at least 1)
);

smoker.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

smoker.removeAll();
  //  Remove all smoker recipes

smoker.removeRecipe(<item:minecraft:diamond>, <tag:items:minecraft:wool>);
  //  Remove recipes with wool diamond and output diamond

smoker.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

SmokerRecipeManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

SmokerRecipeManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"


=======================
 STONECUTTING RECIPES
=======================

https://docs.blamejared.com/1.20.1/en/vanilla/api/recipe/manager/StoneCutterManager

stoneCutter.addRecipe("recipe_name",  //  Recipe name
  <item:minecraft:grass>,  //  Item output
  <tag:items:minecraft:wool>  //  Item input
);

stoneCutter.remove(<tag:items:minecraft:wool>);
  //  Remove recipes with output wool

stoneCutter.removeAll();
  //  Remove all stoneCutter recipes

stoneCutter.removeByInput(<item:minecraft:iron_ingot>);
  //  Remove recipes with input iron_ingot

StoneCutterManager.removeByModid("minecraft");
  //  Remove all recipes with "minecraft" mod ID

StoneCutterManager.removeByName("recipe_name");
  //  Remove recipe with name "recipe_name"



*/